curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
payload = {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john123@gmail.com',
phone: {number: '55555555555', type: 'MOBILE'},
pickupType: 'Primary'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john123@gmail.com',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'pickupType' => 'Primary'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
payload := strings.NewReader("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}"
response = http.request(request)
puts response.read_body{
"shipToId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"locationNum": "123",
"pickup": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"shipToAddress": {
"address1": "First line of address",
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"address2": "123 Parking Lot",
"address3": "Third line of address",
"address4": "Fourth line of address",
"city": "Beaumont",
"state": "TX",
"country": "USA",
"postalCode": "77705",
"type": "residence",
"latitude": 35.294952,
"longitude": 32.294952
},
"taxDetail": [
{
"type": "tax",
"value": 34.56
}
],
"shipMethod": "Express Delivery",
"shipToType": "SHIP_TO_ADDRESS",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"shipToPrice": 20,
"shipToDiscount": 12.6,
"shipToTaxTotal": 12.6,
"shipmentInstructions": "User instructions",
"attributes": {
"isOpenBox": false,
"isOTPDElivery": true
}
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Update pickup information of an order
Updates pickup information of a specific order by order ID.
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
payload = {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john123@gmail.com',
phone: {number: '55555555555', type: 'MOBILE'},
pickupType: 'Primary'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john123@gmail.com',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'pickupType' => 'Primary'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
payload := strings.NewReader("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john123@gmail.com\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n}"
response = http.request(request)
puts response.read_body{
"shipToId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"locationNum": "123",
"pickup": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"shipToAddress": {
"address1": "First line of address",
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"address2": "123 Parking Lot",
"address3": "Third line of address",
"address4": "Fourth line of address",
"city": "Beaumont",
"state": "TX",
"country": "USA",
"postalCode": "77705",
"type": "residence",
"latitude": 35.294952,
"longitude": 32.294952
},
"taxDetail": [
{
"type": "tax",
"value": 34.56
}
],
"shipMethod": "Express Delivery",
"shipToType": "SHIP_TO_ADDRESS",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"shipToPrice": 20,
"shipToDiscount": 12.6,
"shipToTaxTotal": 12.6,
"shipmentInstructions": "User instructions",
"attributes": {
"isOpenBox": false,
"isOTPDElivery": true
}
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Body
Response
Pickup information updated
Order shipping info
Unique ID to link item with its shipping address. If all items of an order are shipped to single address, then all items will have same shipTo id. If multiple items of an order are shipped to multiple shipping address, then corresponding shipTo id is linked to each item.
"5349b4ddd2781d08c09890f4"
Was this page helpful?
